# mywillpower.org

Source code for http://mywillpower.org

## Local

### Install dependencies

    bundle install

### Run it locally

    bundle exec mywillpower.rb

## Docker

### Build

    docker build -t mywillpower .

### Run locally

    docker run -p 4567:4567 mywillpower

### Tag

    docker tag mywillpower \
        git.seriousbusiness.international/swaggboi_priv/mywillpower

### Push

    docker push git.seriousbusiness.international/swaggboi_priv/mywillpower

### Pull

    podman pull git.seriousbusiness.international/swaggboi_priv/mywillpower

### Run

    docker run -dt --rm --name mywillpower -p 4567:4567 mywillpower

### Unit file

    podman generate systemd --files --new --name mywillpower
